Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QSizeGrip

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.core.QObject
                  com.trolltech.qt.gui.QWidget
                      com.trolltech.qt.gui.QSizeGrip

All Implemented Interfaces:
  QPaintDeviceInterface, QtJambiInterface

    public class QSizeGrip

extends QWidget

The `QSizeGrip` class provides a resize handle for resizing top-level windows.

This widget works like the standard Windows resize handle. In the X11 version this resize handle generally works differently from the one provided by the system if the X11 window manager does not support necessary modern post-ICCCM specifications.

Put this widget anywhere in a widget tree and the user can use it to resize the top-level window or any widget with the Qt::SubWindow flag set. Generally, this should be in the lower right-hand corner. Note that `QStatusBar` already uses this widget, so if you have a status bar (e.g., you are using `QMainWindow`), then you don't need to use this widget explicitly.

On some platforms the size grip automatically hides itself when the window is shown full screen or maximised.

| A size grip widget at the bottom-right corner of a main window, shown in the Plastique widget style.

The `QSizeGrip` class inherits `QWidget` and reimplements the mousePressEvent() and mouseMoveEvent() functions to feature the resize functionality, and the paintEvent() function to render the size grip widget.

See Also:
  `QStatusBar`, `QWidget::windowState`

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.gui.QWidget
`QWidget.RenderFlag, QWidget.RenderFlags`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1<A>, QSignalEmitter.Signal2<A,B>, QSignalEmitter.Signal3<A,B,C>, QSignalEmitter.Signal4<A,B,C,D>, QSignalEmitter.Signal5<A,B,C,D,E>, QSignalEmitter.Signal6<A,B,C,D,E,F>, QSignalEmitter.Signal7<A,B,C,D,E,F,G>, QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Field Summary

Fields inherited from class com.trolltech.qt.gui.QWidget
`customContextMenuRequested`

Constructor Summary
`QSizeGrip(QWidget parent)` Constructs a resize corner as a child widget of the given `parent`.

Method Summary
`boolean` | `event(QEvent arg__1)` This function is reimplemented for internal reasons.
`boolean` | `eventFilter(QObject arg__1, QEvent arg__2)` This function is reimplemented for internal reasons.
`static QSizeGrip` | `fromNativePointer(QNativePointer nativePointer)` This function returns the QSizeGrip instance pointed to by nativePointer
`protected void` | `hideEvent(QHideEvent hideEvent)` This function is reimplemented for internal reasons.
`protected void` | `mouseMoveEvent(QMouseEvent arg__1)` Resizes the top-level widget containing this widget.
`protected void` | `mousePressEvent(QMouseEvent arg__1)` Receives the mouse press events for the widget, and primes the resize operation.
`protected void` | `mouseReleaseEvent(QMouseEvent mouseEvent)` This function is reimplemented for internal reasons.
`protected void` | `moveEvent(QMoveEvent moveEvent)` This function is reimplemented for internal reasons.
`protected void` | `paintEvent(QPaintEvent arg__1)` Paints the resize grip.
`void` | `setVisible(boolean arg__1)` This function is reimplemented for internal reasons.
`protected void` | `showEvent(QShowEvent showEvent)` This function is reimplemented for internal reasons.
`QSize` | `sizeHint()` This function is reimplemented for internal reasons.

Methods inherited from class com.trolltech.qt.gui.QWidget
`acceptDrops, accessibleDescription, accessibleName, actionEvent, actions, activateWindow, addAction, addActions, adjustSize, autoFillBackground, backgroundRole, baseSize, changeEvent, childAt, childAt, childrenRect, childrenRegion, clearFocus, clearMask, close, closeEvent, contentsRect, contextMenuEvent, contextMenuPolicy, createWinId, cursor, depth, destroy, destroy, destroy, devType, dragEnterEvent, dragLeaveEvent, dragMoveEvent, dropEvent, ensurePolished, enterEvent, focusInEvent, focusNextChild, focusNextPrevChild, focusOutEvent, focusPolicy, focusPreviousChild, focusProxy, focusWidget, font, fontInfo, fontMetrics, foregroundRole, frameGeometry, frameSize, geometry, getContentsMargins, grabKeyboard, grabMouse, grabMouse, grabShortcut, grabShortcut, hasFocus, hasMouseTracking, height, heightForWidth, heightMM, hide, inputContext, inputMethodEvent, inputMethodQuery, insertAction, insertActions, isActiveWindow, isAncestorOf, isEnabled, isEnabledTo, isFullScreen, isHidden, isLeftToRight, isMaximized, isMinimized, isModal, isRightToLeft, isVisible, isVisibleTo, isWindow, isWindowModified, keyboardGrabber, keyPressEvent, keyReleaseEvent, layout, layoutDirection, leaveEvent, locale, logicalDpiX, logicalDpiY, lower, mapFrom, mapFromGlobal, mapFromParent, mapTo, mapToGlobal, mapToParent, mask, maximumHeight, maximumSize, maximumWidth, metric, minimumHeight, minimumSize, minimumSizeHint, minimumWidth, mouseDoubleClickEvent, mouseGrabber, move, move, nextInFocusChain, normalGeometry, numColors, overrideWindowFlags, overrideWindowFlags, overrideWindowState, overrideWindowState, paintEngine, paintingActive, palette, parentWidget, physicalDpiX, physicalDpiY, pos, raise, rect, releaseKeyboard, releaseMouse, releaseShortcut, removeAction, render, render, render, render, render, repaint, repaint, repaint, repaint, resetInputContext, resize, resize, resizeEvent, restoreGeometry, saveGeometry, scroll, scroll, setAcceptDrops, setAccessibleDescription, setAccessibleName, setAttribute, setAttribute, setAutoFillBackground, setBackgroundRole, setBaseSize, setBaseSize, setContentsMargins, setContentsMargins, setContextMenuPolicy, setCursor, setDisabled, setEnabled, setFixedHeight, setFixedSize, setFixedSize, setFixedWidth, setFocus, setFocus, setFocusPolicy, setFocusProxy, setFont, setForegroundRole, setGeometry, setGeometry, setHidden, setInputContext, setLayout, setLayoutDirection, setLocale, setMask, setMask, setMaximumHeight, setMaximumSize, setMaximumSize, setMaximumWidth, setMinimumHeight, setMinimumSize, setMinimumSize, setMinimumWidth, setMouseTracking, setPalette, setParent, setParent, setParent, setShortcutAutoRepeat, setShortcutAutoRepeat, setShortcutEnabled, setShortcutEnabled, setSizeIncrement, setSizeIncrement, setSizePolicy, setSizePolicy, setStatusTip, setStyle, setStyleSheet, setTabOrder, setToolTip, setUpdatesEnabled, setWhatsThis, setWindowFlags, setWindowFlags, setWindowIcon, setWindowIconText, setWindowModality, setWindowModified, setWindowOpacity, setWindowRole, setWindowState, setWindowState, setWindowTitle, show, showFullScreen, showMaximized, showMinimized, showNormal, size, sizeIncrement, sizePolicy, stackUnder, statusTip, style, styleSheet, tabletEvent, testAttribute, toolTip, underMouse, unsetCursor, unsetLayoutDirection, unsetLocale, update, update, update, update, updateGeometry, updateMicroFocus, updatesEnabled, visibleRegion, whatsThis, wheelEvent, width, widthMM, window, windowFlags, windowIcon, windowIconText, windowModality, windowOpacity, windowRole, windowState, windowTitle, windowType, winId, x, y`

Methods inherited from class com.trolltech.qt.core.QObject
`blockSignals, childEvent, children, connectSlotsByName, customEvent, disposeLater, dumpObjectInfo, dumpObjectTree, dynamicPropertyNames, findChild, findChild, findChild, findChildren, findChildren, findChildren, findChildren, installEventFilter, isWidgetType, killTimer, moveToThread, objectName, parent, property, removeEventFilter, setObjectName, setParent, setProperty, signalsBlocked, startTimer, thread, timerEvent`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`disconnect, disconnect, signalSender`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QSizeGrip

    public QSizeGrip(QWidget parent)

  Constructs a resize corner as a child widget of the given `parent`.

Method Detail

### event

    public boolean event(QEvent arg__1)

  This function is reimplemented for internal reasons.

  Overrides:
    `event` in class `QWidget`
  See Also:
    `closeEvent`, `focusInEvent`, `focusOutEvent`, `enterEvent`, `keyPressEvent`, `keyReleaseEvent`, `leaveEvent`, `mouseDoubleClickEvent`, `mouseMoveEvent`, `mousePressEvent`, `mouseReleaseEvent`, `moveEvent`, `paintEvent`, `resizeEvent`, `QObject::event`, `QObject::timerEvent`

### eventFilter

    public boolean eventFilter(QObject arg__1,
                               QEvent arg__2)

  This function is reimplemented for internal reasons.

  Overrides:
    `eventFilter` in class `QObject`
  See Also:
    `installEventFilter`

### hideEvent

    protected void hideEvent(QHideEvent hideEvent)

  This function is reimplemented for internal reasons.

  Overrides:
    `hideEvent` in class `QWidget`
  See Also:
    `visible`, `event`, `QHideEvent`

### mouseMoveEvent

    protected void mouseMoveEvent(QMouseEvent arg__1)

  Resizes the top-level widget containing this widget. The mouse move event is passed in the `arg__1` parameter.

  Overrides:
    `mouseMoveEvent` in class `QWidget`
  See Also:
    `setMouseTracking`, `mousePressEvent`, `mouseReleaseEvent`, `mouseDoubleClickEvent`, `event`, `QMouseEvent`, `Example`

### mousePressEvent

    protected void mousePressEvent(QMouseEvent arg__1)

  Receives the mouse press events for the widget, and primes the resize operation. The mouse press event is passed in the `arg__1` parameter.

  Overrides:
    `mousePressEvent` in class `QWidget`
  See Also:
    `mouseReleaseEvent`, `mouseDoubleClickEvent`, `mouseMoveEvent`, `event`, `QMouseEvent`, `Example`

### mouseReleaseEvent

    protected void mouseReleaseEvent(QMouseEvent mouseEvent)

  This function is reimplemented for internal reasons.

  Overrides:
    `mouseReleaseEvent` in class `QWidget`
  See Also:
    `mousePressEvent`, `mouseDoubleClickEvent`, `mouseMoveEvent`, `event`, `QMouseEvent`, `Example`

### moveEvent

    protected void moveEvent(QMoveEvent moveEvent)

  This function is reimplemented for internal reasons.

  Overrides:
    `moveEvent` in class `QWidget`
  See Also:
    `resizeEvent`, `event`, `move`, `QMoveEvent`

### paintEvent

    protected void paintEvent(QPaintEvent arg__1)

  Paints the resize grip.

  Resize grips are usually rendered as small diagonal textured lines in the lower-right corner. The paint event is passed in the `arg__1` parameter.

  Overrides:
    `paintEvent` in class `QWidget`
  See Also:
    `event`, `repaint`, `update`, `QPainter`, `QPixmap`, `QPaintEvent`, Analog Clock Example

### setVisible

    public void setVisible(boolean arg__1)

  This function is reimplemented for internal reasons.

  Overrides:
    `setVisible` in class `QWidget`
  See Also:
    `show`, `hide`, `isHidden`, `isVisibleTo`, `isMinimized`, `showEvent`, `hideEvent`

### showEvent

    protected void showEvent(QShowEvent showEvent)

  This function is reimplemented for internal reasons.

  Overrides:
    `showEvent` in class `QWidget`
  See Also:
    `visible`, `event`, `QShowEvent`

### sizeHint

    public QSize sizeHint()

  This function is reimplemented for internal reasons.

  Overrides:
    `sizeHint` in class `QWidget`
  See Also:
    `QSize::isValid`, `minimumSizeHint`, `sizePolicy`, `setMinimumSize`, `updateGeometry`

### fromNativePointer

    public static QSizeGrip fromNativePointer(QNativePointer nativePointer)

  This function returns the QSizeGrip instance pointed to by nativePointer

  Parameters:
    `nativePointer` - the QNativePointer of which object should be returned.

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD